{% extends '_base.html' %}
{% load static %}
{% load crispy_forms_tags %}

{% block title %} Contracts list {% endblock title %}

{% block content %}
<section class="hero is-link has-text-centered">
    <div class="hero-body">
        <p class="title">
            Contracts
        </p>
        <p class="subtitle">
            List of all contracts
        </p>
    </div>
</section>

<div class="column is-10 is-offset-1">
    {% if contracts_proposed %}
    <div class="section">
        <h1 class="title">Proposed</h1>
        <table class="table">
            <thead>
                <tr>
                    <th>Name</th>
                    <th>From Date</th>
                    <th>To Date</th>
                    <th>Proposer</th>
                    <th>Department</th>
                    <th>Project</th>
                    <th>Budget</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                {% for con in contracts_proposed %}
                <tr>
                    <td> {{con.first_name}} {{con.last_name}} </td>
                    <td> {{con.from_date}}</td>
                    <td> {{con.to_date}}</td>
                    <td> {{con.proposer.first_name}} {{con.proposer.last_name}}</td>
                    <td> {{con.department.name}} </td>
                    <td> {{con.project.name}} </td>
                    <td> {{con.budget}} {{con.currency}} </td>
                    <td>
                        <a href={% url 'contracts_proposed_view' con_id=con.id %} class="button is-small is-link">View</a>
                    </td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
    </div>
    {% endif %}
    {% if contracts_waiting_for_info %}
    <div class="section">
        <h1 class="title">Waiting for Information</h1>
        <table class="table">
            <thead>
                <tr>
                    <th>Name</th>
                    <th>From Date</th>
                    <th>To Date</th>
                    <th>Proposer</th>
                    <th>Department</th>
                    <th>Project</th>
                    <th>Current Status</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                {% for con in contracts_waiting_for_info %}
                <tr>
                    <td> {{con.first_name}} {{con.last_name}} </td>
                    <td> {{con.from_date}}</td>
                    <td> {{con.to_date}}</td>
                    <td> {{con.proposer.first_name}} {{con.proposer.last_name}}</td>
                    <td> {{con.department.name}} </td>
                    <td> {{con.project.name}} </td>
                    <td><span class="tag is-warning is-light">{{con.status}}</span></td>
                    <td>
                        <a href={% url 'contracts_view' con_id=con.id %} class="button is-small is-link">View</a>
                    </td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
    </div>
    {% endif %}
    {% if contracts_under_validation %}
    <div class="section">
        <h1 class="title">Under Admin Validation</h1>
        <table class="table">
            <thead>
                <tr>
                    <th>Name</th>
                    <th>From Date</th>
                    <th>To Date</th>
                    <th>Proposer</th>
                    <th>Department</th>
                    <th>Project</th>
                    <th>Current Status</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                {% for con in contracts_under_validation %}
                <tr>
                    <td> {{con.first_name}} {{con.last_name}} </td>
                    <td> {{con.from_date}}</td>
                    <td> {{con.to_date}}</td>
                    <td> {{con.proposer.first_name}} {{con.proposer.last_name}}</td>
                    <td> {{con.department.name}} </td>
                    <td> {{con.project.name}} </td>
                    <td><span class="tag is-warning is-light">{{con.status}}</span></td>
                    <td>
                        <a href={% url 'contracts_validate' con_id=con.id %} class="button is-small is-link">
                            Validate
                        </a>
                    </td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
    </div>
    {% endif %}
    {% if contracts_contract_drafting %}
    <div class="section">
        <h1 class="title">Under Contract Drafting</h1>
        <table class="table">
            <thead>
                <tr>
                    <th>Name</th>
                    <th>From Date</th>
                    <th>To Date</th>
                    <th>Proposer</th>
                    <th>Department</th>
                    <th>Project</th>
                    <th>Current Status</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                {% for con in contracts_contract_drafting %}
                <tr>
                    <td> {{con.first_name}} {{con.last_name}} </td>
                    <td> {{con.from_date}}</td>
                    <td> {{con.to_date}}</td>
                    <td> {{con.proposer.first_name}} {{con.proposer.last_name}}</td>
                    <td> {{con.department.name}} </td>
                    <td> {{con.project.name}} </td>
                    <td><span class="tag is-warning is-light">{{con.status}}</span></td>
                    <td>
                        <a href={% url 'contracts_view' con_id=con.id %} class="button is-small is-link">View</a>
                        <a href="{% url 'contract_drafting' con_id=con.id %}" class="button is-small is-success">Draft Contract</a>
                    </td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
    </div>
    {% endif %}
    {% if contracts_contract_draft_review %}
    <div class="section">
        <h1 class="title">Under Contract Draft Review</h1>
        <table class="table">
            <thead>
                <tr>
                    <th>Name</th>
                    <th>From Date</th>
                    <th>To Date</th>
                    <th>Proposer</th>
                    <th>Department</th>
                    <th>Project</th>
                    <th>Current Status</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                {% for con in contracts_contract_draft_review %}
                <tr>
                    <td> {{con.first_name}} {{con.last_name}} </td>
                    <td> {{con.from_date}}</td>
                    <td> {{con.to_date}}</td>
                    <td> {{con.proposer.first_name}} {{con.proposer.last_name}}</td>
                    <td> {{con.department.name}} </td>
                    <td> {{con.project.name}} </td>
                    <td><span class="tag is-warning is-light">{{con.status}}</span></td>
                    <td>
                        <a href={% url 'contracts_view' con_id=con.id %} class="button is-small is-link">View</a>
                        <a href="{% url 'contract_drafting' con_id=con.id %}" class="button is-small is-success">Draft Contract</a>
                    </td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
    </div>
    {% endif %}
    {% if contracts_proposer_review %}
    <div class="section">
        <h1 class="title">Waiting for Signatures</h1>
        <table class="table">
            <thead>
                <tr>
                    <th>Name</th>
                    <th>From Date</th>
                    <th>To Date</th>
                    <th>Proposer</th>
                    <th>Department</th>
                    <th>Project</th>
                    <th>Current Status</th>
                    <th>Actions</th>
                    <th>Upload Signed Copy</th>

                </tr>
            </thead>
            <tbody>
                {% for con in contracts_proposer_review %}
                <tr>
                    <td> {{con.first_name}} {{con.last_name}} </td>
                    <td> {{con.from_date}}</td>
                    <td> {{con.to_date}}</td>
                    <td> {{con.proposer.first_name}} {{con.proposer.last_name}}</td>
                    <td> {{con.department.name}} </td>
                    <td> {{con.project.name}} </td>
                    <td><span class="tag is-warning is-light">{{con.status}}</span></td>
                    <!--<td>
                        <a href={% url 'contract_render_pdf' con_id=con.id %} class="button is-small is-link">Export</a>
                    </td>-->
                    <td>
                        <a href={% url 'final_contract_pdf' con_id=con.id %} class="button is-small is-link">Preview</a>
                    </td>
                    <td>
                        <form action="{% url 'upload_signed_copy' con_id=con.id %}" method="post" enctype="multipart/form-data">
                        {% csrf_token %}
                        {{ form|crispy }}
                        <button type="submit" class="button is-link is-small"> Upload </button>
                    </form>
                    </td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
    </div>
    {% endif %}
    
    {% if contracts_signed %}
    <div class="section">
        <h1 class="title">Signed</h1>
        <table class="table">
            <thead>
                <tr>
                    <th>Name</th>
                    <th>From Date</th>
                    <th>To Date</th>
                    <th>Proposer</th>
                    <th>Department</th>
                    <th>Project</th>
                    <th>Budget</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                {% for con in contracts_signed %}
                <tr>
                    <td> {{con.first_name}} {{con.last_name}} </td>
                    <td> {{con.from_date}}</td>
                    <td> {{con.to_date}}</td>
                    <td> {{con.proposer.first_name}} {{con.proposer.last_name}}</td>
                    <td> {{con.department.name}} </td>
                    <td> {{con.project.name}} </td>
                    <td> {{con.budget}} {{con.currency}} </td>
                    <td>
                        <a href={% url 'contracts_view' con_id=con.id %} class="button is-small is-link">View</a>
                        <a href={% url 'start_contract' con_id=con.id %} class="button is-small is-success">Start Contract</a>
                    </td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
    </div>
    {% endif %}
    {% if contracts_completed %}
    <div class="section">
        <h1 class="title">Contracts Ongoing</h1>
        <table class="table has-sticky-header">
            <thead>
                <tr>
                    <th>Name</th>
                    <th>From Date</th>
                    <th>To Date</th>
                    <th>Proposer</th>
                    <th>Department</th>
                    <th>Project</th>
                    <th>Budget</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                {% for con in contracts_completed %}
                <tr>
                    <td> {{con.first_name}} {{con.last_name}} </td>
                    <td> {{con.from_date}}</td>
                    <td> {{con.to_date}}</td>
                    <td> {{con.proposer.first_name}} {{con.proposer.last_name}}</td>
                    <td> {{con.department.name}} </td>
                    <td> {{con.project.name}} </td>
                    <td> {{con.budget}} {{con.currency}} </td>
                    <td>
                        <a href={% url 'contracts_view' con_id=con.id %} class="button is-small is-link">View</a>
                    </td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
    </div>
    {% endif %}
</div>

{% endblock %}